# Loki::EvictAging< DT, ST > Class Template Reference
[Eviction policies]

LRU aware of the time span of use. More...

`#include <CachedFactory.h>`

Inherits Loki::EvictionHelper< ST, DT >.

List of all members.

## Detailed Description

### template<typename DT, typename ST = unsigned>
class Loki::EvictAging< DT, ST >

LRU aware of the time span of use.

Implementation of the Aging algorithm as described in http://en.wikipedia.org/wiki/Page_replacement_algorithms .

This method is much more costly than evict LRU so if you need extreme performance consider switching to EvictLRU

The documentation for this class was generated from the following file:

- CachedFactory.h